Name:           libpqstego0
Version:        0.0.1
Release:        1
Summary:        Perturbed Quantization Steganography Library

Group:          System Environment/Libraries
License:        GPL
URL:            
Vendor:         Christian Kuka <ckuka@madkooky.de>
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gsl-devel

%description
Libpqstego is a library for perturbed quantization steganography with 
wet paper codes. Libpqstego uses the quantization step during  
JPEG-compression to embed secret data into an image. The implemented 
algorithm is nearly undetectable by blind steganalysis and much more 
secure than outguess, F5 or MB2.

%package devel
Summary: Perturbed Quantization Steganography Library Development
Group: Development/Libraries
Requires: libpqstego0 = %{version}

%description devel
The libpqstego-devel package contains the header files, libraries and
documentation needed to develop applications with libpqstego

%prep
%setup -q -n %{name}-%{version}

perl -p -i -e "s/-O20/$RPM_OPT_FLAGS/" configure
perl -p -i -e "s/-ffast-math//" configure

%build

%configure 

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun
if [ "$1" -ge "1" ]; then
  /sbin/ldconfig
fi

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING README
%{_libdir}/libpqstego.so.*

%files devel
%defattr(-,root,root)
%doc doc/*
%{_includedir}/pqstego
%{_libdir}/libpqstego.so
%{_libdir}/libpqstego.la
%{_libdir}/pkgconfig/libpqstego.pc

%changelog
* Sat Jan 10 2009 Christian Kuka <ckuka@madkooky.de>
- Error Codes added/fixed
- PRNG speedup
- Header embedding improved
* Wed Dec 17 2008 Christian Kuka <ckuka@madkooky.de>
- Initial Release.
